Subject: bug#63470: [PATCH] Use faster option for running vc-hg status

From: Dmitry Gutov <[email-masked]>
Date: Fri, 12 May 2023 23:06:06 +0300

On 12/05/2023 22:43, Eli Zaretskii wrote:
>> From: Spencer Baugh<[email-masked]>
>> Date: Fri, 12 May 2023 15:28:43 -0400
>>
>> As the comment says, this causes us to depend on Mercurial 4.2, which
>> was released in 2017.  However, in modern Mercurial, removing the
>> "re:" "-I" "." options provides a 10x-20x speedup (because it allows
>> the Rust implementation of "hg status" to be used), so it's certainly
>> worth losing this compatibility.
> I don't understand: what will happen to users of Mercurial < 4.2?

How much longer do we need to support CentOS 7?

Anything newer has Mercurial 4.8+. And Mercurial's latest is 6.4.3.